Bug 214879 - Filter for priority in todo list (like categories)
Summary: Filter for priority in todo list (like categories)
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Unclassified
Component: general (show other bugs)
Version: 4.3
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2009-11-16 21:47 UTC by Verena Ruff
Modified: 2012-07-29 14:03 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Verena Ruff 2009-11-16 21:47:29 UTC
Version:            (using KDE 4.3.2)
OS:                Linux
Installed from:    Ubuntu Packages

It should be possible to filter the todo list by priority. For example, only show entries with a priority higher than 5.
Would be nice to have this direcly accessable like the category filter, but at least it should be available when creating custom filters.
Comment 1 Allen Winter 2012-07-22 21:16:00 UTC
I like this idea.

We need a combobox for selecting (greater than, equal to, less than)
and then another combobox for (1,2,3...,9,no priority)
Comment 2 Allen Winter 2012-07-22 21:17:51 UTC
I like this idea.

We need a combobox for selecting (greater than, equal to, less than)
and then another combobox for (1,2,3...,9,no priority)
Comment 3 jaydeep 2012-07-24 10:43:49 UTC
@Allen Winter

why not make a combo box just like the one in category filter, where the user will be able to see the tasks with the checked priority..

what do you say ??
Comment 4 Allen Winter 2012-07-29 14:03:09 UTC
Git commit 515fefc26dc2c9670e6296d43a8de5b28adafd71 by Allen Winter.
Committed on 29/07/2012 at 15:59.
Pushed by winterz into branch 'master'.

Implement filtering by priorities.
>From Jaydeep, thanks!

Also includes a fix for expanding the tree whenever filtering changes.
and some added tooltips, whatsthis and KUIT.

REvIEW: 105760
FIXED-IN: 4.10
MERGE: backport the expandTree() stuff *only* to 4.8 and 4.9

M  +14   -1    korganizer/views/todoview/kotodoview.cpp
M  +1    -0    korganizer/views/todoview/kotodoview.h
M  +53   -4    korganizer/views/todoview/kotodoviewquicksearch.cpp
M  +7    -2    korganizer/views/todoview/kotodoviewquicksearch.h
M  +32   -4    korganizer/views/todoview/kotodoviewsortfilterproxymodel.cpp
M  +7    -0    korganizer/views/todoview/kotodoviewsortfilterproxymodel.h

http://commits.kde.org/kdepim/515fefc26dc2c9670e6296d43a8de5b28adafd71